Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Rund um AutoCAD
  Bogenbemassung

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Bogenbemassung (914 mal gelesen)
sko
Mitglied


Sehen Sie sich das Profil von sko an!   Senden Sie eine Private Message an sko  Schreiben Sie einen Gästebucheintrag für sko

Beiträge: 3
Registriert: 10.02.2006

erstellt am: 10. Feb. 2006 17:48    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


dimarc.zip

 
Hallo,
jetzt habe ich den Nachmittag damit verbracht eine vernünftige Bogenbemassung aus dem Netz zu finden. Habe einige lisps ausprobiert, aber keine gefunden, die es ermöglicht über Schnittpunkte eine gewünschte Länge, sprich Teilabschitt eines Bogens zu bemassen. Die einzige die so funktioniert führt dazu, dass alle Objektfangpunkte ausgeschaltet werden und ich so wiederum keine Schnittpunkte fangen kann. Den häng ich mal dran, vielleicht kann mir jemand weiterhelfen.
Danke, Sarah

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Kramer24
Ehrenmitglied V.I.P. h.c.
Architekt


Sehen Sie sich das Profil von Kramer24 an!   Senden Sie eine Private Message an Kramer24  Schreiben Sie einen Gästebucheintrag für Kramer24

Beiträge: 5803
Registriert: 09.11.2001

Acad Architecture 2019
WIN 10

erstellt am: 10. Feb. 2006 18:17    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für sko 10 Unities + Antwort hilfreich

Sarah,

warum alle - bis auf "nächster" - Ofänge aus sind weiß ich auch nicht, aber Du kannst den Ofang "Schnittpunkt" wieder anschalten. Nur ein schwacher Trost...

Lothar

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

sko
Mitglied


Sehen Sie sich das Profil von sko an!   Senden Sie eine Private Message an sko  Schreiben Sie einen Gästebucheintrag für sko

Beiträge: 3
Registriert: 10.02.2006

erstellt am: 10. Feb. 2006 18:50    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Vielen Dank,
klappt bei mir leider nicht.

Gruss, Sarah

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13435
Registriert: 30.11.2003

Hinweis: Meine Mitarbeit auf CAD.DE ist fakultativ, unentgeltlich und beruht nur auf einem ausgeprägtem Helfersyndrom.

erstellt am: 10. Feb. 2006 19:00    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für sko 10 Unities + Antwort hilfreich

 
Zitat:
Original erstellt von sko:
Vielen Dank,
klappt bei mir leider nicht.

Gruss, Sarah



????
HAst du wirklich
(setvar "OSMODE" 512)
durch
(setvar "OSMODE" 1023)
ersetzt? 

--->

(defun C:MYDIMARC ( / pt1 pt2 cen a1 a2 D1 D2 D i p r oldOs oldCmde)
  (setq oldCmde (getvar "CMDECHO"))
  (setq oldOs (getvar "OSMODE"))
  (setvar "CMDECHO" 0)
  (prompt "Pick 2 points on an arc - ")
  (setvar "OSMODE" 1023)
  (while (not cen)
    (setq pt1 (getpoint "1st pt: ")
          cen (osnap pt1 "_CEN")
    )
    (if (not cen) (alert "Doesn't lay on an arc, retry")
(setq pt2 (getpoint cen " 2nd pt: ")))
  )
  (setvar "OSMODE" 0)
  (setq a1 (angle cen pt1) a2 (angle cen pt2) ad (abs (- a2 a1))
  r (distance pt1 cen)
        D1 (* r ad)
        D2 (* r (- (* 2 pi) ad))
  )
  (prompt (strcat "\nDIMARC> Arc length (1): " (rtos D1) ",    complementar arc (2): " (rtos D2)))

  (setq D D1)
  (initget "1 2 Smaller")
  (setq i (getkword "\nDIMARC> Dim which? [<1>/2/Smaller]: "))
  (if (= i "2")(setq D D2))
  (if (= i "Smaller")(setq D (min D1 D2)))
  (command "_DIMANGULAR" "" cen pt1 pt2 "_T" (rtos D) pause)

  (setvar "OSMODE" oldOs)
  (setvar "CMDECHO" oldCmde)
  (prin1)
)

(princ "\nDIMARC command loaded.")
(princ)


------------------
    - Thomas -
"Du bist einen uns unbekannten Weg in eine andere Form des Seins gegangen. - Wir sehen uns wieder in deinem Paradies! - Tschüß Axel.."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Angelika Hädrich
Ehrenmitglied V.I.P. h.c.
Application Engineer



Sehen Sie sich das Profil von Angelika Hädrich an!   Senden Sie eine Private Message an Angelika Hädrich  Schreiben Sie einen Gästebucheintrag für Angelika Hädrich

Beiträge: 5123
Registriert: 12.07.2000

Der erreicht am meisten, der immer auch anders kann, als er vorhatte.

erstellt am: 13. Feb. 2006 09:48    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für sko 10 Unities + Antwort hilfreich

Hi Sarah,

welche AutoCAD-Version nutzt Du denn? Es würde uns wirklich beim Antworten helfen, wenn die wichtigsten Daten von Software und PC bekannt wären...

Ab 2006 ist DIMARC = Bogenlänge schon mit drin.

Gruß Angelika

------------------
Lieber Fehler riskieren als Initiative verhindern.
(Reinhard Mohn)

Bitte Supportangaben eintragen, warum siehst du hier

'Wie sprechen Menschen mit Menschen? Aneinander vorbei!' (Kurt Tucholsky)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

sko
Mitglied


Sehen Sie sich das Profil von sko an!   Senden Sie eine Private Message an sko  Schreiben Sie einen Gästebucheintrag für sko

Beiträge: 3
Registriert: 10.02.2006

erstellt am: 13. Feb. 2006 10:57    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hi Angelika,
nach dem letzten Tip von Thomas funktioniert es nun, zwar noch nicht assoziativ, aber das reicht auch so.
Wir arbeiten hier unter Windows XP PRof mit AUtocad 2004.
Gruss aus Basel,
Sarah

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Angelika Hädrich
Ehrenmitglied V.I.P. h.c.
Application Engineer



Sehen Sie sich das Profil von Angelika Hädrich an!   Senden Sie eine Private Message an Angelika Hädrich  Schreiben Sie einen Gästebucheintrag für Angelika Hädrich

Beiträge: 5123
Registriert: 12.07.2000

Der erreicht am meisten, der immer auch anders kann, als er vorhatte.

erstellt am: 13. Feb. 2006 11:03    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für sko 10 Unities + Antwort hilfreich

Hi Sarah,

dann ist es ja gut.

Aber vielleicht kannst Du trotzdem:

im Nutzerprofil gibt es die Möglichkeit die wichtigsten Daten zu Rechner und Software anzugeben, dann muß man das nicht bei jeder Anfrage neu einhämmern, bzw. wir müssen nicht immer nach den technischen Daten fragen...
Bitte gebt die wichtigsten technischen Daten vom Rechner (Betriebssystem, RAM, Grafikkarte etc.) an und Software mgl. mit Release und ServicePacks, das hilft wirklich unheimlich beim Antworten und erspart die lästigen Rückfragen.

Hilfe zum Ausfüllen/Anpassen hier

Gruß Angelika

------------------
Lieber Fehler riskieren als Initiative verhindern.
(Reinhard Mohn)

Bitte Supportangaben eintragen, warum siehst du hier

'Wie sprechen Menschen mit Menschen? Aneinander vorbei!' (Kurt Tucholsky)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz